# dataset-dms-api

Dataset Dms Api

 - [GET /retrievalInstructions](https://developer.slb.com/solutions/core-service/apis/osdu-dataset-service/dataset-dms-api/retrievalinstructionsusingget.md): Gets a signed URL for downloading a single file associated with the unique `id` of the file. (similar to /downloadURL in File Service). **Required roles**: 'users.datalake.viewers or users.datalake.ed
 - [POST /retrievalInstructions](https://developer.slb.com/solutions/core-service/apis/osdu-dataset-service/dataset-dms-api/retrievalinstructionsusingpost.md): Gets a list of signed URLs to download multiple files by providing a list of file ids. **Required roles**: 'users.datalake.viewers or users.datalake.editors or users.datalake.ops or users.datalake.adm
 - [POST /storageInstructions](https://developer.slb.com/solutions/core-service/apis/osdu-dataset-service/dataset-dms-api/storageinstructionsusingpost.md): Gets a temporary signed URL to upload a dataset (File or collection of files. Service does not upload the file by itself, User needs to use this URL to upload the file). The generated URL is time boun
 - [POST /revokeURL](https://developer.slb.com/solutions/core-service/apis/osdu-dataset-service/dataset-dms-api/revokepreviouslygeneratedurlsusingpost.md): Revoke previously generated URLs associated with a specific dataset kind subtype (Eg - dataset--File.Generic). **Required roles**: 'users.datalake.admin'
